<div fxLayout="row" fxLayoutAlign="center" fxLayoutGap="0.5%" class="choix-activite">
    <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="0.5%" class="choixsport">
        <div [ngClass]="{'sansreponse': natationSelected===0, 'present': natationSelected===1, 'incertain': natationSelected===2, 'absent': natationSelected===3}"
            (click)="laPaslaActivite('N')">
            <img src="assets/natation.png">
        </div>
        <mat-label class="heure">Heure</mat-label>
        <mat-form-field *ngFor="let activite of activitesN">
            <!-- <mat-icon [style.color]="element.color">{{element.icon}}</mat-icon> -->
            <input matInput type="time" [readonly]="activite.horaireFige" 
                [ngClass]="{'font-present': activite.choisi===1, 'font-incertain': activite.choisi===2, 'font-absent': activite.choisi===3}"
                [value]="activite.heure" (change)="laPaslaHoraireModifiable($event, activite)"
                (click)="laPaslaHoraireFige($event, activite, activite.choisi + 1)">
        </mat-form-field>
    </div>
    <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="0.5%" class="choixsport">
        <div [ngClass]="{'sansreponse': veloSelected===0, 'present': veloSelected===1, 'incertain': veloSelected===2, 'absent': veloSelected===3}"
            (click)="laPaslaActivite('V')">
            <img src="assets/velo.png">
        </div>
        <mat-label class="heure">Heure</mat-label>
        <mat-form-field *ngFor="let activite of activitesV">
            <input matInput type="time" [readonly]="activite.horaireFige" 
                [ngClass]="{'font-present': activite.choisi===1, 'font-incertain': activite.choisi===2, 'font-absent': activite.choisi===3}"
                [value]="activite.heure" (change)="laPaslaHoraireModifiable($event, activite)"
                (click)="laPaslaHoraireFige($event, activite, activite.choisi + 1)">
        </mat-form-field>
    </div>
    <div fxLayout="column" fxLayoutAlign="center center" fxLayoutGap="0.5%" class="choixsport">
        <div [ngClass]="{'sansreponse': capSelected===0, 'present': capSelected===1, 'incertain': capSelected===2, 'absent': capSelected===3}"
            (click)="laPaslaActivite('C')">
            <img src="assets/course.png">
        </div>
        <mat-label class="heure">Heure</mat-label>
        <mat-form-field *ngFor="let activite of activitesC" class="mat-form-field-appearance-legacy mat-form-field-wrapper">
            <input matInput type="time" [readonly]="activite.horaireFige"
                [ngClass]="{'font-present': activite.choisi===1, 'font-incertain': activite.choisi===2, 'font-absent': activite.choisi===3}"
                [value]="activite.heure" (change)="laPaslaHoraireModifiable($event, activite)"
                (click)="laPaslaHoraireFige($event, activite, activite.choisi + 1)">
        </mat-form-field>
    </div>
</div>